## python-trio-websocket 0.9.2

=== Makefile ===
PYTHON = python

# This .PHONY line prevents make from treating the docs/ directory like a build
# product:
.PHONY: docs

coverage:
	$(PYTHON) -m coveralls -v

docs:
	$(MAKE) -C docs html

test:
	$(PYTHON) -m pytest --cov=trio_websocket --no-cov-on-fail

lint:
	$(PYTHON) -m pylint trio_websocket/ tests/ autobahn/ examples/

publish:
	rm -fr build dist .egg trio_websocket.egg-info
	$(PYTHON) setup.py sdist
	twine upload dist/*

# upgrade all deps:
#   make -W requirements-dev.{in,txt} PIP_COMPILE_ARGS="-U"
# upgrade specific deps:
#   make -W requirements-dev.{in,txt} PIP_COMPILE_ARGS="-P foo"
requirements-dev.txt: setup.py requirements-dev.in
	pip-compile -q $(PIP_COMPILE_ARGS) --output-file $@ $^

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        = python
SPHINXOPTS    =
SPHINXBUILD   = $(PYTHON) -m sphinx
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-trio-websocket (0.9.2-2) unstable; urgency=medium

  * [414a7a0] d/python-trio-websocket-doc.doc-base: Fix up small typo
  * [71bb28f] d/python3-trio-websocket.examples: Add new sequencer file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 04 Oct 2022 16:26:35 +0200

python-trio-websocket (0.9.2-1) unstable; urgency=medium

  * [4f60888] New upstream version 0.9.2
  * [09f1e74] Initial Debianization
    (Closes: #1020611)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Sep 2022 14:00:57 +0200

=== debian/control ===
Source: python-trio-websocket
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-async-generator,
# python3-pytest,
# python3-pytest-asyncio,
# python3-pytest-trio,     # this isn't package yet!
# python3-pytest-twisted,
 python3-setuptools,
 python3-sphinx,
 python3-sphinxcontrib.trio,
 python3-sphinx-rtd-theme,
 python3-trio,
 python3-trustme,
 python3-wsproto,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trio-websocket
Vcs-Git: https://salsa.debian.org/python-team/packages/python-trio-websocket.git
Homepage: https://github.com/HyperionGray/trio-websocket

Package: python-trio-websocket-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Server and client Python library of the WebSocket protocol (Documentation)
 This library implements both server and client aspects of the WebSocket
 protocol, striving for safety, correctness, and ergonomics. It is based on the
 wsproto project, which is a Sans-IO state machine that implements the majority
 of the WebSocket protocol, including framing, codecs, and events. This library
 handles I/O using the Trio framework. This library passes the Autobahn Test
 Suite.
 .
 This package installs the documentation for the library.

Package: python3-trio-websocket
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Server and client Python library of the WebSocket protocol (Python3 version)
 This library implements both server and client aspects of the WebSocket
 protocol, striving for safety, correctness, and ergonomics. It is based on the
 wsproto project, which is a Sans-IO state machine that implements the majority
 of the WebSocket protocol, including framing, codecs, and events. This library
 handles I/O using the Trio framework. This library passes the Autobahn Test
 Suite.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=trio_websocket
# The tests requiring pytest-trio which isn't package yet.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-trio-websocket-doc/usr/share/doc/python-trio-websocket-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
# watch file for python-trio-websocket

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-promise-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/HyperionGray/trio-websocket.git \
      refs/tags/(\d+\.\d+|\d+\.\d+\.\d+)

## python-trio-websocket 0.10.3

=== debian/changelog ===
python-trio-websocket (0.10.3-1) unstable; urgency=medium

  * [c0b6c6f] New upstream version 0.10.3
  * [c5ff6b4] d/control: Add Built-Using to -doc package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 14 Jun 2023 20:50:08 +0200

python-trio-websocket (0.10.2-1) experimental; urgency=medium

  * [a7d3e3e] New upstream version 0.10.2
  * [9e6f28f] Rebuild patch queue from patch-queue branch
    No additions or removal, just refreshing the patches.
  * [49ec47a] d/README.source: Add info about missing packages
  * [c26c624] d/control: Adjust B-D entries, add BuildProfileSpecs
  * [9e7c2d5] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [81791af] d/rules: Drop --with option in default target
  * [407af41] d/rules: Create a reproducable doc package
  * [9266632] d/copyright: Update year of contribution

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Apr 2023 20:41:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,26 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
  dh-python,
+ pybuild-plugin-pyproject,
  python3-async-generator,
 # python3-pytest,
 # python3-pytest-asyncio,
 # python3-pytest-trio,     # this isn't package yet!
 # python3-pytest-twisted,
  python3-setuptools,
- python3-sphinx,
- python3-sphinxcontrib.trio,
- python3-sphinx-rtd-theme,
+ python3-sphinx <!nodoc>,
+ python3-sphinxcontrib.trio <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
  python3-trio,
  python3-trustme,
  python3-wsproto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trio-websocket
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-trio-websocket.git
 Homepage: https://github.com/HyperionGray/trio-websocket
@@ -34,6 +37,8 @@
  ${misc:Depends},
  ${sphinxdoc:Depends}
 Multi-Arch: foreign
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: Server and client Python library of the WebSocket protocol (Documentation)
  This library implements both server and client aspects of the WebSocket
  protocol, striving for safety, correctness, and ergonomics. It is based on the

## python-trio-websocket 0.11.1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,6 @@
 # This .PHONY line prevents make from treating the docs/ directory like a build
 # product:
 .PHONY: docs
-
-coverage:
-	$(PYTHON) -m coveralls -v
 
 docs:
 	$(MAKE) -C docs html
@@ -18,12 +15,24 @@
 
 publish:
 	rm -fr build dist .egg trio_websocket.egg-info
-	$(PYTHON) setup.py sdist
+	! grep -q dev trio_websocket/_version.py
+	$(PYTHON) -m build
+	twine check dist/*
 	twine upload dist/*
 
+# requirements-dev.txt will only be regenerated when PIP_COMPILE_ARGS is not
+# empty, and requires installatation of pip-tools.
+#
+# To change requirements, edit setup.py and requirements-dev.in files as necessary, then:
+#   make -W requirements-dev.{in,txt} PIP_COMPILE_ARGS="-q"
 # upgrade all deps:
 #   make -W requirements-dev.{in,txt} PIP_COMPILE_ARGS="-U"
 # upgrade specific deps:
 #   make -W requirements-dev.{in,txt} PIP_COMPILE_ARGS="-P foo"
+ifneq ($(PIP_COMPILE_ARGS),)
+requirements-dev-full.txt: setup.py requirements-dev.in requirements-extras.in
+	pip-compile -q $(PIP_COMPILE_ARGS) --output-file $@ $^
+
 requirements-dev.txt: setup.py requirements-dev.in
 	pip-compile -q $(PIP_COMPILE_ARGS) --output-file $@ $^
+endif

=== debian/changelog ===
python-trio-websocket (0.11.1-1) unstable; urgency=medium

  * [1e83fd7] d/watch: Add compression type gz
  * [4d5c6f5] New upstream version 0.11.1
  * [b95ea75] Rebuild patch queue from patch-queue branch
    Added patch:
    phinx-Use-trio-intersphinx.patch
    Removed patch:
    Sphinx-Don-t-use-intersphinx-for-trio.patch
    Updated patch:
    Privacy-Remove-any-linking-to-non-relevant-stuff.patch
  * [f542df0] d/control: Update Homepage filed
  * [1babf8b] d/u/metadata: Update upstream data
  * [fac1b0a] d/copyright: Update Source filed
  * [2ab2fe3] d/control: Add new B-D on python-trio-doc

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 Oct 2023 08:02:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
- dh-python,
  pybuild-plugin-pyproject,
+ python-trio-doc <!nodoc>,
  python3-async-generator,
 # python3-pytest,
 # python3-pytest-asyncio,
@@ -28,7 +29,7 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trio-websocket
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-trio-websocket.git
-Homepage: https://github.com/HyperionGray/trio-websocket
+Homepage: https://github.com/python-trio/trio-websocket
 
 Package: python-trio-websocket-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=trio_websocket
# The tests requiring pytest-trio which isn't package yet.
export PYBUILD_DISABLE=test

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-trio-websocket-doc/usr/share/doc/python-trio-websocket-doc/html
	dh_sphinxdoc
endif

## python-trio-websocket 0.12.2

=== Makefile ===
--- 
+++ 
@@ -8,10 +8,13 @@
 	$(MAKE) -C docs html
 
 test:
-	$(PYTHON) -m pytest --cov=trio_websocket --no-cov-on-fail
+	$(PYTHON) -m pytest --cov=trio_websocket --cov-report=term-missing --no-cov-on-fail
 
 lint:
 	$(PYTHON) -m pylint trio_websocket/ tests/ autobahn/ examples/
+
+typecheck:
+	$(PYTHON) -m mypy
 
 publish:
 	rm -fr build dist .egg trio_websocket.egg-info

=== debian/changelog ===
python-trio-websocket (0.12.2-1) unstable; urgency=medium

  * [e0e46a2] d/control: Add missed BuildProfile to Build-Depends
  * [575a712] autopkgtest: Add missing package python3-trustme Depends
  * [8435748] New upstream version 0.12.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 26 Feb 2025 19:26:28 +0200

python-trio-websocket (0.12.1-1) unstable; urgency=medium

  * [9ad3ef7] New upstream version 0.12.1
  * [30a21e0] d/control: Update Standards-Version to 4.7.1
    No further changes needed.
  * [f380245] d/control: Remove commented B-D for tests
    python3-pytest-trio is available in Debian since a while, so we can
    run the upstream tests also at build time.
  * [8d2a2c1] d/README.source: Remove remark about missing pytest-trio
  * [f0753b5] d/rules: Enable run of upstream tests at build
  * [0dfe368] d/README.source: Remove also remark about python-trio-doc
  * [e1ec721] d/README.source: Fix wrong instruction
    Fix a misspelled folder name.
  * [ee7889a] d/control: Mark dh-sequence-sphinxdoc as nodoc
  * [c68b170] d/rules: Drop -D option from SPHINXDOC
  * [2dc98eb] autopkgtest: Add testing configuration
    Now python3-pytest-trio is available we can also create a autopkgtest
    setup.
  * [f8f0000] d/copyright: Update year of contribution
  * [f53d06d] d/control: Drop field Built-Using in -doc package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Feb 2025 08:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,27 +6,26 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-all,
 Build-Depends-Indep:
  pybuild-plugin-pyproject,
  python-trio-doc <!nodoc>,
  python3-async-generator,
-# python3-pytest,
-# python3-pytest-asyncio,
-# python3-pytest-trio,     # this isn't package yet!
-# python3-pytest-twisted,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-trio <!nocheck>,
+ python3-pytest-twisted <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.trio <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
  python3-trio,
- python3-trustme,
- python3-wsproto,
+ python3-trustme <!nocheck>,
+ python3-wsproto <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trio-websocket
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-trio-websocket.git
 Homepage: https://github.com/python-trio/trio-websocket
@@ -36,10 +35,8 @@
 Section: doc
 Depends:
  ${misc:Depends},
- ${sphinxdoc:Depends}
+ ${sphinxdoc:Depends},
 Multi-Arch: foreign
-Built-Using:
- ${sphinxdoc:Built-Using},
 Description: Server and client Python library of the WebSocket protocol (Documentation)
  This library implements both server and client aspects of the WebSocket
  protocol, striving for safety, correctness, and ergonomics. It is based on the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=trio_websocket

SPHINXOPTS := -N -E

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-trio-websocket-doc/usr/share/doc/python-trio-websocket-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-trio,
 python3-pytest-twisted,
 python3-trustme,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-promise-$1.tar.gz/ \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
